# DO NOT DELETE: Beginning of Haskell dependencies
ghc/stage2/build/GHCi/Leak.o : ghc/GHCi/Leak.hs
$(eval $(call hi-rule,ghc/stage2/build/GHCi/Leak.hi  : %hi: %o  ghc/GHCi/Leak.hs))
ghc/stage2/build/GHCi/Leak.o : libraries/base/dist-install/build/Prelude.hi
ghc/stage2/build/GHCi/Leak.o : libraries/base/dist-install/build/System/Mem/Weak.hi
ghc/stage2/build/GHCi/Leak.o : libraries/base/dist-install/build/System/Mem.hi
ghc/stage2/build/GHCi/Leak.o : compiler/stage2/build/UniqDFM.hi
ghc/stage2/build/GHCi/Leak.o : compiler/stage2/build/HscTypes.hi
ghc/stage2/build/GHCi/Leak.o : compiler/stage2/build/Outputable.hi
ghc/stage2/build/GHCi/Leak.o : compiler/stage2/build/GHC.hi
ghc/stage2/build/GHCi/Leak.o : libraries/base/dist-install/build/Control/Monad.hi
ghc/stage2/build/GHCi/UI/Info.o : ghc/GHCi/UI/Info.hs
$(eval $(call hi-rule,ghc/stage2/build/GHCi/UI/Info.hi  : %hi: %o  ghc/GHCi/UI/Info.hs))
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/Var.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/TcHsSyn.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/SrcLoc.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/Outputable.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/NameSet.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/Name.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/GhcMonad.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/GHC.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/FastString.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/DynFlags.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/Desugar.hi
ghc/stage2/build/GHCi/UI/Info.o : compiler/stage2/build/CoreUtils.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/directory/dist-install/build/System/Directory.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/base/dist-install/build/Prelude.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/time/dist-install/build/Data/Time.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/base/dist-install/build/Data/Maybe.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/containers/dist-install/build/Data/Map/Strict.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/containers/dist-install/build/Data/Map/Strict.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/base/dist-install/build/Data/List.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/base/dist-install/build/Data/Function.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/base/dist-install/build/Data/Data.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Maybe.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Except.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Class.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/base/dist-install/build/Control/Monad.hi
ghc/stage2/build/GHCi/UI/Info.o : libraries/base/dist-install/build/Control/Exception.hi
ghc/stage2/build/GHCi/UI/Monad.o : ghc/GHCi/UI/Monad.hs
$(eval $(call hi-rule,ghc/stage2/build/GHCi/UI/Monad.hi  : %hi: %o  ghc/GHCi/UI/Monad.hs))
ghc/stage2/build/GHCi/UI/Monad.o : libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/containers/dist-install/build/Data/Map/Strict.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/base/dist-install/build/Control/Monad/IO/Class.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Class.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/haskeline/dist-install/build/System/Console/Haskeline.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/haskeline/dist-install/build/System/Console/Haskeline.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/base/dist-install/build/Prelude.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/base/dist-install/build/Control/Monad.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/base/dist-install/build/System/IO.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/base/dist-install/build/System/Environment.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/time/dist-install/build/Data/Time.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/base/dist-install/build/Data/IORef.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/array/dist-install/build/Data/Array.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/base/dist-install/build/Numeric.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/Exception.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/Util.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/HsSyn.hi
ghc/stage2/build/GHCi/UI/Monad.o : libraries/ghci/dist-install/build/GHCi/RemoteTypes.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/GHCi.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/Module.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/SrcLoc.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/HscTypes.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/FastString.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/DynFlags.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/Outputable.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/Outputable.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/GhcMonad.hi
ghc/stage2/build/GHCi/UI/Monad.o : compiler/stage2/build/GHC.hi
ghc/stage2/build/GHCi/UI/Monad.o : ghc/stage2/build/GHCi/UI/Info.hi
ghc/stage2/build/GHCi/UI/Tags.o : ghc/GHCi/UI/Tags.hs
$(eval $(call hi-rule,ghc/stage2/build/GHCi/UI/Tags.hi  : %hi: %o  ghc/GHCi/UI/Tags.hs))
ghc/stage2/build/GHCi/UI/Tags.o : libraries/base/dist-install/build/Prelude.hi
ghc/stage2/build/GHCi/UI/Tags.o : libraries/base/dist-install/build/System/IO/Error.hi
ghc/stage2/build/GHCi/UI/Tags.o : libraries/base/dist-install/build/System/IO.hi
ghc/stage2/build/GHCi/UI/Tags.o : libraries/directory/dist-install/build/System/Directory.hi
ghc/stage2/build/GHCi/UI/Tags.o : libraries/base/dist-install/build/Control/Monad.hi
ghc/stage2/build/GHCi/UI/Tags.o : libraries/base/dist-install/build/Data/List.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/Panic.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/DriverPhases.hi
ghc/stage2/build/GHCi/UI/Tags.o : libraries/base/dist-install/build/Data/Ord.hi
ghc/stage2/build/GHCi/UI/Tags.o : libraries/base/dist-install/build/Data/Maybe.hi
ghc/stage2/build/GHCi/UI/Tags.o : libraries/base/dist-install/build/Data/Function.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/MonadUtils.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/ConLike.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/OccName.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/Name.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/Outputable.hi
ghc/stage2/build/GHCi/UI/Tags.o : ghc/stage2/build/GHCi/UI/Monad.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/GHC.hi
ghc/stage2/build/GHCi/UI/Tags.o : compiler/stage2/build/Exception.hi
ghc/stage2/build/GHCi/UI.o : ghc/GHCi/UI.hs
$(eval $(call hi-rule,ghc/stage2/build/GHCi/UI.hi  : %hi: %o  ghc/GHCi/UI.hs))
ghc/stage2/build/GHCi/UI.o : ghc/stage2/build/GHCi/Leak.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/GHC/TopHandler.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/GHC/IO/Handle.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/GHC/IO/Exception.hi
ghc/stage2/build/GHCi/UI.o : libraries/unix/dist-install/build/System/Posix.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Unsafe/Coerce.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Text/Read/Lex.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Text/Read.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Text/Printf.hi
ghc/stage2/build/GHCi/UI.o : libraries/process/dist-install/build/System/Process.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/System/IO/Unsafe.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/System/IO/Error.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/System/IO.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/System/Info.hi
ghc/stage2/build/GHCi/UI.o : libraries/filepath/dist-install/build/System/FilePath.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/System/Exit.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/System/Environment.hi
ghc/stage2/build/GHCi/UI.o : libraries/directory/dist-install/build/System/Directory.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/GHC/Stack.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Foreign.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Exception.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Prelude.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Data/Version.hi
ghc/stage2/build/GHCi/UI.o : libraries/time/dist-install/build/Data/Time/Format.hi
ghc/stage2/build/GHCi/UI.o : libraries/time/dist-install/build/Data/Time/LocalTime.hi
ghc/stage2/build/GHCi/UI.o : libraries/containers/dist-install/build/Data/Map.hi
ghc/stage2/build/GHCi/UI.o : libraries/containers/dist-install/build/Data/Map.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Data/Maybe.hi
ghc/stage2/build/GHCi/UI.o : libraries/containers/dist-install/build/Data/Set.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Data/List.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Data/IORef.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Data/Function.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Data/Char.hi
ghc/stage2/build/GHCi/UI.o : libraries/bytestring/dist-install/build/Data/ByteString/Char8.hi
ghc/stage2/build/GHCi/UI.o : libraries/array/dist-install/build/Data/Array.hi
ghc/stage2/build/GHCi/UI.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Except.hi
ghc/stage2/build/GHCi/UI.o : libraries/transformers/dist-install/build/Control/Monad/Trans/Class.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Control/Monad/IO/Class.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Control/Monad.hi
ghc/stage2/build/GHCi/UI.o : libraries/deepseq/dist-install/build/Control/DeepSeq.hi
ghc/stage2/build/GHCi/UI.o : libraries/base/dist-install/build/Control/Applicative.hi
ghc/stage2/build/GHCi/UI.o : libraries/haskeline/dist-install/build/System/Console/Haskeline.hi
ghc/stage2/build/GHCi/UI.o : libraries/ghc-boot/dist-install/build/GHC/LanguageExtensions.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Util.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Panic.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/NameSet.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Maybes.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Linker.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/FastString.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Encoding.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Digraph.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Config.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/BasicTypes.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/DynamicLoading.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Outputable.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/StringBuffer.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Lexer.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/SrcLoc.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/RdrName.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/PrelNames.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/PprTyThing.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/IfaceSyn.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Packages.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Name.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Module.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/HscTypes.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/HsSyn.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/HsImpExp.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/GHC.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/GHC.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/GhcMonad.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Finder.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/ErrUtils.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/DynFlags.hi
ghc/stage2/build/GHCi/UI.o : libraries/ghci/dist-install/build/GHCi/BreakArray.hi
ghc/stage2/build/GHCi/UI.o : libraries/ghci/dist-install/build/GHCi/RemoteTypes.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/GHCi.hi
ghc/stage2/build/GHCi/UI.o : compiler/stage2/build/Debugger.hi
ghc/stage2/build/GHCi/UI.o : ghc/stage2/build/GHCi/UI/Info.hi
ghc/stage2/build/GHCi/UI.o : ghc/stage2/build/GHCi/UI/Tags.hi
ghc/stage2/build/GHCi/UI.o : ghc/stage2/build/GHCi/UI/Monad.hi
ghc/stage2/build/GHCi/UI.o : ghc/stage2/build/GHCi/UI/Monad.hi
ghc/stage2/build/Main.o : ghc/Main.hs
$(eval $(call hi-rule,ghc/stage2/build/Main.hi  : %hi: %o  ghc/Main.hs))
ghc/stage2/build/Main.o : libraries/base/dist-install/build/Prelude.hi
ghc/stage2/build/Main.o : libraries/base/dist-install/build/Data/Maybe.hi
ghc/stage2/build/Main.o : libraries/base/dist-install/build/Data/List.hi
ghc/stage2/build/Main.o : libraries/base/dist-install/build/Data/Char.hi
ghc/stage2/build/Main.o : libraries/base/dist-install/build/Control/Monad.hi
ghc/stage2/build/Main.o : libraries/filepath/dist-install/build/System/FilePath.hi
ghc/stage2/build/Main.o : libraries/base/dist-install/build/System/Exit.hi
ghc/stage2/build/Main.o : libraries/base/dist-install/build/System/Environment.hi
ghc/stage2/build/Main.o : libraries/base/dist-install/build/System/IO.hi
ghc/stage2/build/Main.o : compiler/stage2/build/BinFingerprint.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Binary.hi
ghc/stage2/build/Main.o : compiler/stage2/build/TcRnMonad.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Finder.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Module.hi
ghc/stage2/build/Main.o : compiler/stage2/build/LoadIface.hi
ghc/stage2/build/Main.o : compiler/stage2/build/DynamicLoading.hi
ghc/stage2/build/Main.o : compiler/stage2/build/MonadUtils.hi
ghc/stage2/build/Main.o : compiler/stage2/build/UniqSupply.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Panic.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Util.hi
ghc/stage2/build/Main.o : compiler/stage2/build/SrcLoc.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Outputable.hi
ghc/stage2/build/Main.o : compiler/stage2/build/FastString.hi
ghc/stage2/build/Main.o : compiler/stage2/build/ErrUtils.hi
ghc/stage2/build/Main.o : compiler/stage2/build/DynFlags.hi
ghc/stage2/build/Main.o : compiler/stage2/build/BasicTypes.hi
ghc/stage2/build/Main.o : compiler/stage2/build/DriverPhases.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Packages.hi
ghc/stage2/build/Main.o : compiler/stage2/build/HscTypes.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Constants.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Config.hi
ghc/stage2/build/Main.o : libraries/ghc-boot/dist-install/build/GHC/HandleEncoding.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Module.hi
ghc/stage2/build/Main.o : compiler/stage2/build/Plugins.hi
ghc/stage2/build/Main.o : compiler/stage2/build/DynamicLoading.hi
ghc/stage2/build/Main.o : ghc/stage2/build/GHCi/UI.hi
ghc/stage2/build/Main.o : compiler/stage2/build/DriverBkp.hi
ghc/stage2/build/Main.o : compiler/stage2/build/DriverMkDepend.hi
ghc/stage2/build/Main.o : compiler/stage2/build/DriverPipeline.hi
ghc/stage2/build/Main.o : compiler/stage2/build/HscMain.hi
ghc/stage2/build/Main.o : compiler/stage2/build/LoadIface.hi
ghc/stage2/build/Main.o : compiler/stage2/build/CmdLineParser.hi
ghc/stage2/build/Main.o : compiler/stage2/build/GHC.hi
ghc/stage2/build/Main.o : compiler/stage2/build/GHC.hi
# DO NOT DELETE: End of Haskell dependencies
ghc_stage2_depfile_haskell_EXISTS = YES
